import { OverriderPatches } from './base';
export declare function MOCK_FEATURES(mock?: Function): void;
export declare class FeaturesOverrider extends OverriderPatches {
    applicableProviders: string[];
    private featureName;
    private featureVersion;
    private featureConfig;
    private featureArgs;
    private featureRepo;
    private featureRef;
    constructor(featureName: string, featureVersion: string, featureConfig?: any, featureArgs?: any, featureRef?: string, featureRepo?: string);
    getFeatureConfig(cr: any): any;
    setUpAndRunRenderer(cr: any): any;
    __validate(): Promise<boolean>;
    __patches(claim: any, _previousCR: any): Promise<({
        validate(_cr: any): boolean;
        apply(cr: any): Promise<any>;
        identify(): string;
        post(cr: any): Promise<import("../claims/github/repositoryFeature").IGithubRepositoryFeatureClaim>;
        isPostPatch?: undefined;
    } | {
        isPostPatch: boolean;
        validate(): boolean;
        apply(cr: any): Promise<any>;
        identify(): string;
        applicable(): {
            applicableProviders: string[];
        };
    })[]>;
}
